package visl.rasmus.handler;

import java.awt.Graphics;
import java.awt.Image;
import java.awt.image.ImageObserver;

/** Implements an image that can be used as a MultiComponent */
public class MultiImage extends MultiComponent implements ImageObserver {
    protected Image image;
    protected int w, h;
    public MultiImage(Image im) {
	image = im;
	if (im != null) {
	    w = im.getWidth(this);
	    h = im.getHeight(this);
	}
    }
    public void paint(Graphics g) {
	if (image != null) 
	    g.drawImage(image, x-w/2, y - h/2, this);
    }
    public boolean imageUpdate(Image img, int f, int x, int y, int w, int h) {
	return false;
    }
}
